跳转到主要内容
GET
/
v1
/
crawls
/
{crawl_id}
获取抓取信息
curl --request GET \
  --url https://api.olostep.com/v1/crawls/{crawl_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.olostep.com/v1/crawls/{crawl_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.olostep.com/v1/crawls/{crawl_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "status": "<string>",
  "created": 123,
  "start_date": "<string>",
  "start_url": "<string>",
  "max_pages": 123,
  "max_depth": 123,
  "exclude_urls": [
    "<string>"
  ],
  "include_urls": [
    "<string>"
  ],
  "include_external": true,
  "search_query": "<string>",
  "top_n": 123,
  "current_depth": 123,
  "pages_count": 123,
  "webhook": "<string>",
  "follow_robots_txt": true,
  "credits_consumed": 123,
  "cost_usd": 123
}

授权

Authorization
string
header
必填

Bearer身份验证头的格式为Bearer ,其中是你的认证令牌。

路径参数

crawl_id
string
必填

要获取信息的抓取ID。

响应

成功响应并返回抓取信息。

id
string

爬虫 ID

object
string

对象的类型。此端点为 "crawl"。

status
string

in_progresscompleted

created
number

创建时间(epoch格式)

start_date
string

创建时间(日期格式)

start_url
string
max_pages
number
max_depth
number
exclude_urls
string[]
include_urls
string[]
include_external
boolean
search_query
string
top_n
number
current_depth
number

当前抓取过程的深度。

pages_count
number

已抓取页面的数量

webhook
string
follow_robots_txt
boolean
credits_consumed
integer | null

此请求消耗的积分数量。在执行完成后填充。积分是计费的真实来源。

cost_usd
number | null

此请求的估计成本(以美元计)。在执行完成后填充。根据消耗的积分和你的计划费率计算——99% 准确,但 credits_consumed 是权威值。